<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class UGCBot extends \Google\Protobuf\Internal\Message
{
    


    protected $definition = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDefinition()
    {
        return isset($this->definition) ? $this->definition : '';
    }

    public function hasDefinition()
    {
        return isset($this->definition);
    }

    public function clearDefinition()
    {
        unset($this->definition);
    }

    




    public function setDefinition($var)
    {
        GPBUtil::checkString($var, False);
        $this->definition = $var;

        return $this;
    }

}

